import React from "react";
import { Path } from "react-native-svg";
import { Slice } from "tune-victory-core";
import { NativeHelpers } from "../../index";

export default class extends Slice {
  renderSlice(props) {
    return (
      <Path
        d={props.pathFunction(props.slice)}
        {...NativeHelpers.getStyle(props.style)}
        {...props.events}
      />
    );
  }
}
